cURL
curl --request POST \
--url https://sandbox.dollarpe.xyz/pos/api/v1/remittance-payout/quotation \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--header 'X-SIGNATURE: <api-key>' \
--header 'X-TIMESTAMP: <api-key>' \
--data '
{
"asset": "USDT",
"fiat": "INR",
"receiving_amount": "5100",
"customer_id": "84737c7d-7b62-4204-80d6-80f6ecb3ceb4",
"bank_id": "cab47575-bbcb-4294-81a3-30774104f3b6",
"remitter_id": "e14fa86f-2a5e-437a-a031-949c68ade933",
"risk_parameters": {}
}
'import requests
url = "https://sandbox.dollarpe.xyz/pos/api/v1/remittance-payout/quotation"
payload = {
"asset": "USDT",
"fiat": "INR",
"receiving_amount": "5100",
"customer_id": "84737c7d-7b62-4204-80d6-80f6ecb3ceb4",
"bank_id": "cab47575-bbcb-4294-81a3-30774104f3b6",
"remitter_id": "e14fa86f-2a5e-437a-a031-949c68ade933",
"risk_parameters": {}
}
headers = {
"X-API-KEY": "<api-key>",
"X-TIMESTAMP": "<api-key>",
"X-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-KEY': '<api-key>',
'X-TIMESTAMP': '<api-key>',
'X-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
asset: 'USDT',
fiat: 'INR',
receiving_amount: '5100',
customer_id: '84737c7d-7b62-4204-80d6-80f6ecb3ceb4',
bank_id: 'cab47575-bbcb-4294-81a3-30774104f3b6',
remitter_id: 'e14fa86f-2a5e-437a-a031-949c68ade933',
risk_parameters: {}
})
};
fetch('https://sandbox.dollarpe.xyz/pos/api/v1/remittance-payout/quotation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"data": {
"id": "59bf60c3-e9af-40a7-9d5c-2a1aa191e769",
"customer_id": "84737c7d-7b62-4204-80d6-80f6ecb3ceb4",
"bank_id": "cab47575-bbcb-4294-81a3-30774104f3b6",
"remitter_id": "e14fa86f-2a5e-437a-a031-949c68ade933",
"asset": "USDT",
"fiat": "INR",
"sending_amount": 55.89,
"rate": 92.34,
"receiving_amount": 5100,
"fees": {
"client_fee_fiat": 25.8,
"client_fee_crypto": 0.27,
"client_gst_fiat": 4.64,
"client_gst_crypto": 0.05,
"dollarpe_fee": 25.8,
"dollarpe_gst": 4.64,
"pg_fee": 0,
"pg_gst": 0,
"gross_effective_exchange_rate": 91.25,
"tds": 0
},
"created_at": "2026-07-02T11:41:26.836955Z",
"expiry_time": "2026-07-02T12:11:26.000Z"
}
}{
"status": false,
"message": "Bad Request",
"error": {
"remitter_id": [
"This field is required."
]
}
}{
"status": false,
"message": "Internal Server Error"
}Quotation
Create Quotation
Creates a remittance payout quotation keyed on receiving_amount — the fiat amount the beneficiary should receive.
POST
/
remittance-payout
/
quotation
cURL
Remittance Quotation
Unlike a standard payout quotation (keyed on
sending_amount, the crypto amount sent), a remittance quotation is keyed on receiving_amount — the exact fiat amount the beneficiary should receive. The response’s sending_amount tells you how much crypto is needed to fund it.remitter_id is required — create the remitter first via Create Remitter.Error Codes and Messages
| API Status Code | Response | Reason |
|---|---|---|
| 400 | Bad Request | A required field (e.g. remitter_id) is missing |
| 400 | Customer is unverified | Customer KYC is unverified or does not belong to Organization |
| 400 | Bank account is unverified | Bank account is not added or still under processing |
| 500 | Internal Server Error | Internal Server Error |
Authorizations
API Key for authentication
Current timestamp in seconds since epoch
HMAC SHA256 signature of the request encoded in Base64
Body
application/json
The cryptocurrency asset code
Example:
"USDT"
The fiat currency code
Example:
"INR"
The fixed fiat amount the beneficiary should receive
Example:
"5100"
The unique identifier of the receiving customer
Example:
"84737c7d-7b62-4204-80d6-80f6ecb3ceb4"
The unique identifier of the customer's bank account in which the payout will be made
Example:
"cab47575-bbcb-4294-81a3-30774104f3b6"
The unique identifier of the remitter (sending party), obtained from POST /kyc/remitter/create
Example:
"e14fa86f-2a5e-437a-a031-949c68ade933"
Pass an empty JSON object
Example:
{}
⌘I

